import os
import unittest

class TestGreatSortingFuncCmd(unittest.TestCase):

    def setUp(self):
        self.dir = os.getcwd()

    def tearDown(self):
        os.chdir(self.dir)


    def testSF2FSF_GlobalObject(self):
        # make sure SF2FSF sample runs
        os.chdir('../Samples/SignalFlow2FlatSF')
        returnCode = os.system('gre.exe Config.mga')
        #print returnCode
        if (returnCode != 3):
            self.assert_(1) #SF2FSF did run
        else:
            self.assert_(0) #SF2FSF did not run


if __name__ == '__main__':
    unittest.main()
    
def suite():
    suite = unittest.makeSuite(TestGreatSortingFuncCmd)
    return suite
