#include <boost/thread/thread.hpp>
#include "GReATDebuggerFactory.h"
#include "GReATDebugger.h"



struct DebuggerThread
{
  GRDebuggeeAPI*  m_api;
  
  DebuggerThread(GRDebuggeeAPI*  api) : m_api(api){}
  void operator()()
  {
    m_api->run();
  }
};
boost::thread* GReATDebuggerFactory::m_thrd = 0;

GRDebuggeeAPI* GReATDebuggerFactory::create_new_thread()
{
  DebuggerThread fe(new GReATDebugger());

  GReATDebuggerFactory::m_thrd = new boost::thread(fe);
  return fe.m_api;
}

//=====================================
void GReATDebuggerFactory::join()
{
  if (GReATDebuggerFactory::m_thrd)
  {
    GReATDebuggerFactory::m_thrd->join(); 
    delete GReATDebuggerFactory::m_thrd, GReATDebuggerFactory::m_thrd = 0;
  }
}

  
GRDebuggeeAPI* GReATDebuggerFactory::create()
{
  return new GReATDebugger();
}
