:: finalize_release.bat
::	- checks in files and do the labeling
::
:: Arguments:
::	1. GReAT label number string
::
:: Requirements:
::	- Visual Source Safe 6.0: ss.exe must be in path
::	- Environment variable GREAT_PATH must be set to the local GReAT root folder
::
@echo off
REM	* checkin .rc files
	cd /d %GREAT_PATH%\Tools\CodeGenerator\CG_interpreter
	ss.exe checkin $/MobiesTransition/GReAT/Tools/CodeGenerator/CG_interpreter/component.rc -I
	cd /d %GREAT_PATH%\Tools\UMTInterpreters\GenerateConfig
	ss.exe checkin $/MobiesTransition/GReAT/Tools/UMTInterpreters/GenerateConfig/component.rc -I
	cd /d %GREAT_PATH%\Tools\UMTInterpreters\GenerateGR
	ss.exe checkin $/MobiesTransition/GReAT/Tools/UMTInterpreters/GenerateGR/component.rc -I
	cd /d %GREAT_PATH%\Tools\UMTInterpreters\GReAT Master Interpreter
	ss.exe checkin "$/MobiesTransition/GReAT/Tools/UMTInterpreters/GReAT Master Interpreter/component.rc" -I
	cd /d %GREAT_PATH%\Tools\UMTInterpreters\LibraryUpdate
	ss.exe checkin $/MobiesTransition/GReAT/Tools/UMTInterpreters/LibraryUpdate/component.rc -I
	cd /d %GREAT_PATH%\Tools\UMTInterpreters\UMTDecorator
	ss.exe checkin $/MobiesTransition/GReAT/Tools/UMTInterpreters/UMTDecorator/UMLDecorator.rc -I
	cd /d %GREAT_PATH%\Tools\UMTInterpreters\UMTHelper
	ss.exe checkin $/MobiesTransition/GReAT/Tools/UMTInterpreters/UMTHelper/component.rc -I
	cd /d %GREAT_PATH%\Tools\MetaGME2UMX\MetaGME2UMX Interpreters
	ss.exe checkin "$/MobiesTransition/GReAT/Tools/MetaGME2UMX/MetaGME2UMX Interpreters/component.rc" -I
	cd /d %GREAT_PATH%\Tools\Engine\GRE_Interpreter
	ss.exe checkin $/MobiesTransition/GReAT/Tools/Engine/GRE_Interpreter/component.rc -I
	cd /d %GREAT_PATH%\Tools\Debugger\GRD_interpreter
	ss.exe checkin $/MobiesTransition/GReAT/Tools/Debugger/GRD_interpreter/component.rc -I
REM	* checkin GReATVersion.h
	cd /d %GREAT_PATH%\etc
	ss.exe checkin $/MobiesTransition/GReAT/etc/GReATVersion.h -I
REM	* checkin ver.txt, readme.txt, releaseinfo.txt
	cd /d %GREAT_PATH%
	ss.exe checkin $/MobiesTransition/GReAT/ver.txt -I
	ss.exe checkin $/MobiesTransition/GReAT/readme.txt -I
	ss.exe checkin $/MobiesTransition/GReAT/releaseinfo.txt -I
REM	* checkin InstallShield files
	cd /d %GREAT_PATH%\InstallShield
	ss.exe checkin $/MobiesTransition/GReAT/InstallShield/GREAT_UDM_basic.ism -I
	cd /d %GREAT_PATH%\InstallShield\GREAT_UDM_basic
	ss.exe checkin $/MobiesTransition/GReAT/InstallShield/GREAT_UDM_basic/setup.obs -I
	ss.exe checkin $/MobiesTransition/GReAT/InstallShield/GREAT_UDM_basic/setup.rul -I
REM	* do the labeling
	ss.exe label $/MobiesTransition/GReAT -L"%1"

	