#!/bin/bash

# Script to generate .mga's and .xmp's for the installer. Run from samples dir
GMEPY=../common-scripts/gmepy.exe


"$GMEPY" register_if_not_registered ../Meta/UmlModelTransformer.xmp
find -iname \*xme -and -iwholename \*meta\* -print -exec  "$GMEPY" xme2mga \{\} \; 
find -iname \*mga -and -iwholename \*meta\* -print -exec  "$GMEPY" mga2xmp \{\} \; 
find -iname \*xme -and ! -iwholename \*meta\* -print -exec  "$GMEPY" xme2mga \{\} \; 
find -iname \*_meta.mga -print -exec ~/bin/perl-rename  's/_meta//' \{\} \;

