import os


dir = os.getcwd()
os.chdir('../Samples/House2Order/Meta')
#import HouseModel and Order metamodels, then register them
os.system('CreateMGA.vbs HouseModel_meta.xme HouseModel.mga MetaGME')
os.system('CreateMGA.vbs Order_meta.xme Order.mga MetaGME')
os.system('CreateXMP.vbs HouseModel.mga')
os.system('CreateXMP.vbs Order.mga')

os.chdir('../Models')
#import the sample HouseModel for the transformation
os.system('CreateMGA.vbs myHouse1.xme myHouse1.mga HouseModel')

os.chdir('..')
#import the House2Order UMT model
os.system('CreateMGA.vbs House2Order.xme House2Order.mga UMLModelTransformer')

#Run GReAT Master Interpreter in Silent Mode on House2Order.mga
housedir = os.getcwd()
os.system('RunGReATMasterInt.vbs '+housedir+'\\House2Order.mga')

os.chdir(dir)


os.chdir('../Samples/SignalFlow2FlatSF/meta/FlatSF')
#import metamodels for SF2FSF sample
os.system('CreateMGA.vbs FlatSF_meta.xme FlatSF.mga MetaGME')
os.system('CreateXMP.vbs FlatSF.mga')
os.chdir('../SignalFlow')
os.system('CreateMGA.vbs SignalFlow_meta.xme SignalFlow.mga MetaGME')
os.system('CreateXMP.vbs SignalFlow.mga')

os.chdir('../../models')
#import sample SignalFlow models
os.system('CreateMGA.vbs SignalFlow_1.xme SignalFlow_1.mga SignalFlow')
os.system('CreateMGA.vbs SignalFlow_2.xme SignalFlow_2.mga SignalFlow')

os.chdir('..')
#import the SF2FSF UMT model
os.system('CreateMGA.vbs SignalFlow2FlatSF.xme SignalFlow2FlatSF.mga UMLModelTransformer')

SF2FSFdir = os.getcwd()
#Run GReAT Master Interpreter in Silent Mode on SignalFlow2FlatSF.mga
os.system('RunGReATMasterInt.vbs '+SF2FSFdir+'\\SignalFlow2FlatSF.mga')

os.chdir(dir)


os.chdir('../Samples/StateChart\Meta')
#import metamodels for HSM2FSM sample
os.system('CreateMGA.vbs FiniteStateMachine_meta.xme FiniteStateMachine.mga MetaGME')
os.system('CreateXMP.vbs FiniteStateMachine.mga')
os.system('CreateMGA.vbs StateChart_meta.xme StateChart.mga MetaGME')
os.system('CreateXMP.vbs StateChart.mga')

os.chdir('../Models')
#import sample StateChart models
os.system('CreateMGA.vbs 2BitCounter.xme 2BitCounter.mga StateChart')
os.system('CreateMGA.vbs 3BitCounter.xme 3BitCounter.mga StateChart')

os.chdir('..')
#import the HSM2FSM UMT model
os.system('CreateMGA.vbs HSM2FSM.xme HSM2FSM.mga UMLModelTransformer')

HSM2FSMdir = os.getcwd()
#Run GReAT Master Interpreter in Silent Mode on SignalFlow2FlatSF.mga
os.system('RunGReATMasterInt.vbs '+HSM2FSMdir+'\\HSM2FSM.mga')

os.chdir(dir)
