/* umt2cfg.h generated on Mon Feb 13 12:21:01 2006
 */

#include "UMLModelTransformer.h"
#include <UdmBase.h>
#include <cint_string.h>
#include "GReATConfig.h"


typedef std::list< Udm::Object> Packets_t;

// Forward declarations.
class UMT2Config_0;
class Init_13;
class RunTimeInfo_33;
class UsageInfo_5c;
class UsageInfo_65;
class Usagefile_with_AttachLib_94;
class GetPath_cf;
class StartRulePath_d4;
class Test_f1;
class RuleCompound_108;
class TestCompound_12c;
class CompoundCompound_150;
class TransformationInput_17a;
class Usagefile_with_package_1a6;
class MetaInfo_1eb;

// Class declarations.
class UMT2Config_0
{
public:
	void operator()( const Packets_t& umtConfigmodels_1, const Packets_t& confRFs_3);

protected:
	void executeOne( const Packets_t& umtConfigmodels_1, const Packets_t& confRFs_3);
	bool isInputUnique( const Udm::Object& umtConfigmodel_7, const Udm::Object& confRF_e);
	void callInit_210( const Packets_t& configurations_14, const Packets_t& rootFolders_17);
	void callMetaInfo_213( const Packets_t& configurations_1ec, const Packets_t& rootFolders_1ef);
	void callUsageInfo_216( const Packets_t& umtConfigmodels_5d, const Packets_t& confRFs_5f);
	void callRunTimeInfo_219( const Packets_t& configurations_34, const Packets_t& rootFolders_36);

private:
	Packets_t _umtConfigmodel_5;
	Packets_t _confRF_c;
};

class Init_13
{
public:
	void operator()( const Packets_t& configurations_14, const Packets_t& rootFolders_17, Packets_t& configurations_16, Packets_t& rootFolders_19);

protected:
	bool isInputUnique( const Udm::Object& configuration_20, const Udm::Object& rootFolder_29);
	void processInputPackets( const Packets_t& configurations_14, const Packets_t& rootFolders_17);
	bool patternMatcher( const Udm::Object& configuration_1e, const Udm::Object& rootFolder_27);
	void effector();
	void forwardInputs();

private:
	Packets_t* _configuration_1a;
	Packets_t* _rootFolder_1b;
	Packets_t _configuration_1c;
	Packets_t _rootFolder_25;
	class Match
	{
	public:
		UMLModelTransformer::Configuration configuration_2e;
		GReATConfig::RootFolder rootFolder_2f;
	};

	std::list< Match> _matches;
};

class RunTimeInfo_33
{
public:
	void operator()( const Packets_t& configurations_34, const Packets_t& rootFolders_36);

protected:
	bool isInputUnique( const Udm::Object& configuration_3c, const Udm::Object& rootFolder_45);
	void processInputPackets( const Packets_t& configurations_34, const Packets_t& rootFolders_36);
	bool patternMatcher( const Udm::Object& configuration_3a, const Udm::Object& rootFolder_43);
	void effector();

private:
	Packets_t _configuration_38;
	Packets_t _rootFolder_41;
	class Match
	{
	public:
		UMLModelTransformer::Configuration configuration_55;
		GReATConfig::RootFolder rootFolder_56;
		UMLModelTransformer::FileType fileType_57;
		GReATConfig::RuntimeInformation runtimeInformation_58;
		UMLModelTransformer::File file_59;
		UMLModelTransformer::FileBind fileBindPseudo_52_5a;
	};

	std::list< Match> _matches;
};

class UsageInfo_5c
{
public:
	void operator()( const Packets_t& umtConfigmodels_5d, const Packets_t& confRFs_5f, Packets_t& outs_61, Packets_t& outs_62);

protected:
	void callUsageInfo_1dc( const Packets_t& configurations_66, const Packets_t& rootFolders_69);
	void callGetPath_1df( const Packets_t& ins_d0, const Packets_t& ins_d2);
	void callUsagefile_with_package_1e2( const Packets_t& configurations_1a7, const Packets_t& usageInformations_1a9);
	void callUsagefile_with_AttachLib_1e5( const Packets_t& configurations_95, const Packets_t& usageInformations_97);
	void callTransformationInput_1e8( const Packets_t& usageInformations_17b, const Packets_t& fileTypes_17d);

private:
	Packets_t* _out_63;
	Packets_t* _out_64;
};

class UsageInfo_65
{
public:
	void operator()( const Packets_t& configurations_66, const Packets_t& rootFolders_69, Packets_t& configurations_68, Packets_t& uIs_6b, Packets_t& expressions_6c);

protected:
	bool isInputUnique( const Udm::Object& configuration_74, const Udm::Object& rootFolder_7d);
	void processInputPackets( const Packets_t& configurations_66, const Packets_t& rootFolders_69);
	bool patternMatcher( const Udm::Object& configuration_72, const Udm::Object& rootFolder_7b);
	void effector();
	void outputAppender( const UMLModelTransformer::Configuration& configuration_8e, const GReATConfig::UsageInformation& uI_90, const UMLModelTransformer::Expression& expression_92);

private:
	Packets_t* _configuration_6d;
	Packets_t* _uI_6e;
	Packets_t* _expression_6f;
	Packets_t _configuration_70;
	Packets_t _rootFolder_79;
	class Match
	{
	public:
		UMLModelTransformer::Configuration configuration_89;
		GReATConfig::RootFolder rootFolder_8a;
		GReATConfig::UsageInformation uI_8b;
		UMLModelTransformer::StartRule startRule_8c;
		UMLModelTransformer::Expression expression_8d;
	};

	std::list< Match> _matches;
};

class Usagefile_with_AttachLib_94
{
public:
	void operator()( const Packets_t& configurations_95, const Packets_t& usageInformations_97, Packets_t& usageInformations_99, Packets_t& fileTypes_9a);

protected:
	bool isInputUnique( const Udm::Object& configuration_a1, const Udm::Object& usageInformation_aa);
	bool isGuardTrue( const UMLModelTransformer::RootFolder& AttachLib, const UMLModelTransformer::Configuration& Configuration, const UMLModelTransformer::Configurations& Configurations, const UMLModelTransformer::FileType& FileType, const UMLModelTransformer::Package& Package, const UMLModelTransformer::RootFolder& RootFolder, const GReATConfig::UsageInformation& UsageInformation);
	void processInputPackets( const Packets_t& configurations_95, const Packets_t& usageInformations_97);
	bool patternMatcher( const Udm::Object& configuration_9f, const Udm::Object& usageInformation_a8);
	void effector();
	void outputAppender( const GReATConfig::UsageInformation& usageInformation_cb, const UMLModelTransformer::FileType& fileType_cd);

private:
	Packets_t* _usageInformation_9b;
	Packets_t* _fileType_9c;
	Packets_t _configuration_9d;
	Packets_t _usageInformation_a6;
	class Match
	{
	public:
		UMLModelTransformer::Package package_bc;
		UMLModelTransformer::Configuration configuration_bd;
		UMLModelTransformer::Configurations configurations_be;
		UMLModelTransformer::RootFolder rootFolder_bf;
		UMLModelTransformer::RootFolder attachLib_c0;
		GReATConfig::UsageInformation usageInformation_c1;
		UMLModelTransformer::FileType fileType_c2;
	};

	std::list< Match> _matches;
};

class GetPath_cf
{
public:
	void operator()( const Packets_t& ins_d0, const Packets_t& ins_d2);

protected:
	void callTest_174( const Packets_t& ins_f2, const Packets_t& ins_f4);
	void callStartRulePath_177( const Packets_t& uIs_d5, const Packets_t& parents_d8);
};

class StartRulePath_d4
{
public:
	void operator()( const Packets_t& uIs_d5, const Packets_t& parents_d8, Packets_t& uIs_d7, Packets_t& parents_da);

protected:
	bool isInputUnique( const Udm::Object& uI_e1, const Udm::Object& parent_ea);
	void processInputPackets( const Packets_t& uIs_d5, const Packets_t& parents_d8);
	bool patternMatcher( const Udm::Object& uI_df, const Udm::Object& parent_e8);
	void effector();
	void forwardInputs();

private:
	Packets_t* _uI_db;
	Packets_t* _parent_dc;
	Packets_t _uI_dd;
	Packets_t _parent_e6;
	class Match
	{
	public:
		GReATConfig::UsageInformation uI_ef;
		UMLModelTransformer::Expression parent_f0;
	};

	std::list< Match> _matches;
};

class Test_f1
{
public:
	void operator()( const Packets_t& ins_f2, const Packets_t& ins_f4, Packets_t& outs_f6, Packets_t& outs_f7);

protected:
	void executeOne( const Packets_t& ins_f2, const Packets_t& ins_f4);
	bool isInputUnique( const Udm::Object& in_fc, const Udm::Object& in_103);

private:
	Packets_t* _out_f8;
	Packets_t* _out_f9;
	Packets_t _in_fa;
	Packets_t _in_101;
};

class RuleCompound_108
{
public:
	bool operator()( const Packets_t& uIs_109, const Packets_t& childs_10c, Packets_t& uIs_10b, Packets_t& parents_10e);

protected:
	bool isInputUnique( const Udm::Object& uI_115, const Udm::Object& child_11e);
	void processInputPackets( const Packets_t& uIs_109, const Packets_t& childs_10c);
	bool patternMatcher( const Udm::Object& uI_113, const Udm::Object& child_11c);
	void outputAppender( const GReATConfig::UsageInformation& uI_128, const UMLModelTransformer::CompoundRule& parent_12a);

private:
	Packets_t* _uI_10f;
	Packets_t* _parent_110;
	Packets_t _uI_111;
	Packets_t _child_11a;
	class Match
	{
	public:
		GReATConfig::UsageInformation uI_125;
		UMLModelTransformer::Rule child_126;
		UMLModelTransformer::CompoundRule parent_127;
	};

	std::list< Match> _matches;
};

class TestCompound_12c
{
public:
	bool operator()( const Packets_t& uIs_12d, const Packets_t& childs_130, Packets_t& uIs_12f, Packets_t& parents_132);

protected:
	bool isInputUnique( const Udm::Object& uI_139, const Udm::Object& child_142);
	void processInputPackets( const Packets_t& uIs_12d, const Packets_t& childs_130);
	bool patternMatcher( const Udm::Object& uI_137, const Udm::Object& child_140);
	void outputAppender( const GReATConfig::UsageInformation& uI_14c, const UMLModelTransformer::CompoundRule& parent_14e);

private:
	Packets_t* _uI_133;
	Packets_t* _parent_134;
	Packets_t _uI_135;
	Packets_t _child_13e;
	class Match
	{
	public:
		GReATConfig::UsageInformation uI_149;
		UMLModelTransformer::Test child_14a;
		UMLModelTransformer::CompoundRule parent_14b;
	};

	std::list< Match> _matches;
};

class CompoundCompound_150
{
public:
	bool operator()( const Packets_t& uIs_151, const Packets_t& childs_154, Packets_t& uIs_153, Packets_t& parents_156);

protected:
	bool isInputUnique( const Udm::Object& uI_15d, const Udm::Object& child_166);
	void processInputPackets( const Packets_t& uIs_151, const Packets_t& childs_154);
	bool patternMatcher( const Udm::Object& uI_15b, const Udm::Object& child_164);
	void outputAppender( const GReATConfig::UsageInformation& uI_170, const UMLModelTransformer::CompoundRule& parent_172);

private:
	Packets_t* _uI_157;
	Packets_t* _parent_158;
	Packets_t _uI_159;
	Packets_t _child_162;
	class Match
	{
	public:
		GReATConfig::UsageInformation uI_16d;
		UMLModelTransformer::CompoundRule child_16e;
		UMLModelTransformer::CompoundRule parent_16f;
	};

	std::list< Match> _matches;
};

class TransformationInput_17a
{
public:
	void operator()( const Packets_t& usageInformations_17b, const Packets_t& fileTypes_17d);

protected:
	bool isInputUnique( const Udm::Object& usageInformation_183, const Udm::Object& fileType_18c);
	void processInputPackets( const Packets_t& usageInformations_17b, const Packets_t& fileTypes_17d);
	bool patternMatcher( const Udm::Object& usageInformation_181, const Udm::Object& fileType_18a);
	void effector();

private:
	Packets_t _usageInformation_17f;
	Packets_t _fileType_188;
	class Match
	{
	public:
		GReATConfig::UsageInformation usageInformation_19e;
		UMLModelTransformer::StartRule startRule_19f;
		UMLModelTransformer::FileType fileType_1a0;
		UMLModelTransformer::Expression expression_1a1;
		UMLModelTransformer::FileObject bObject_1a2;
		UMLModelTransformer::In in_1a3;
		UMLModelTransformer::TransformationInput transformationInputPseudo_196_1a4;
	};

	std::list< Match> _matches;
};

class Usagefile_with_package_1a6
{
public:
	void operator()( const Packets_t& configurations_1a7, const Packets_t& usageInformations_1a9, Packets_t& usageInformations_1ab, Packets_t& fileTypes_1ac);

protected:
	bool isInputUnique( const Udm::Object& configuration_1b3, const Udm::Object& usageInformation_1bc);
	bool isGuardTrue( const UMLModelTransformer::Configuration& Configuration, const UMLModelTransformer::Configurations& Configurations, const UMLModelTransformer::FileType& FileType, const UMLModelTransformer::Package& Package, const UMLModelTransformer::RootFolder& RootFolder, const GReATConfig::UsageInformation& UsageInformation);
	void processInputPackets( const Packets_t& configurations_1a7, const Packets_t& usageInformations_1a9);
	bool patternMatcher( const Udm::Object& configuration_1b1, const Udm::Object& usageInformation_1ba);
	void effector();
	void outputAppender( const GReATConfig::UsageInformation& usageInformation_1d8, const UMLModelTransformer::FileType& fileType_1da);

private:
	Packets_t* _usageInformation_1ad;
	Packets_t* _fileType_1ae;
	Packets_t _configuration_1af;
	Packets_t _usageInformation_1b8;
	class Match
	{
	public:
		UMLModelTransformer::RootFolder rootFolder_1cb;
		UMLModelTransformer::Configurations configurations_1cc;
		UMLModelTransformer::Package package_1cd;
		UMLModelTransformer::Configuration configuration_1ce;
		GReATConfig::UsageInformation usageInformation_1cf;
		UMLModelTransformer::FileType fileType_1d0;
	};

	std::list< Match> _matches;
};

class MetaInfo_1eb
{
public:
	void operator()( const Packets_t& configurations_1ec, const Packets_t& rootFolders_1ef, Packets_t& configurations_1ee, Packets_t& rootFolders_1f1);

protected:
	bool isInputUnique( const Udm::Object& configuration_1f8, const Udm::Object& rootFolder_201);
	void processInputPackets( const Packets_t& configurations_1ec, const Packets_t& rootFolders_1ef);
	bool patternMatcher( const Udm::Object& configuration_1f6, const Udm::Object& rootFolder_1ff);
	void effector();
	void forwardInputs();

private:
	Packets_t* _configuration_1f2;
	Packets_t* _rootFolder_1f3;
	Packets_t _configuration_1f4;
	Packets_t _rootFolder_1fd;
	class Match
	{
	public:
		UMLModelTransformer::Configuration configuration_20c;
		GReATConfig::RootFolder rootFolder_20d;
		UMLModelTransformer::MetaInformation mIF_20e;
		GReATConfig::MetaInformation cMIF_20f;
	};

	std::list< Match> _matches;
};

