#include <iostream>
#include "XSLTransformer.h"


void printVer()
{
	std::cout << "UMLPackageConverter Utility\n(c) 2007 Institute for Integrated Systems\nVanderbilt University\n\n";
}

int usage()
{
	std::cout << "Usage: UPC.exe <fromUMLmodel.xme> <toUMLmodel.xme>\nConverts Package folders to Package models in UML/UMT models.\n\n";
	return 1;
}

int main( int argc, char* argv[])
{
	printVer();
	std::cout << "Converting...\n";
	if ( argc != 3)
		return usage();
	// perform the transformation
#ifdef _DEBUG
	const char app_name[]= "UPC_D.exe";
#else
	const char app_name[]= "UPC.exe";
#endif

	int res= executeTransform( argv[ 1], argv[ 2], app_name, "UPC_XSLT", "XSLT");
	// print result status
	if ( res)
		std::cout << "Failed.";
	else
		std::cout << "Succeeded. \n" << argv[1] << " converted to " << argv[2] << ".";
	std::cout << std::endl << std::endl;
	return res;
}

